org.apache.jmeter.util

## Class BeanShellServer

- java.lang.Object
- - org.apache.jmeter.util.BeanShellServer

All Implemented Interfaces:
  Runnable

    public class BeanShellServer
    extends Object
    implements Runnable

Implements a BeanShell server to allow access to JMeter variables and methods. To enable, define the JMeter property: beanshell.server.port (see JMeter.java) beanshell.server.file (optional, startup file)

### Constructor Summary

Constructors
Constructor and Description
`BeanShellServer(int port, String file)` Constructor which sets the port for this server and the path to an optional init file

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanShellServer

    public BeanShellServer(int port,
                           String file)

Constructor which sets the port for this server and the path to an optional init file

Parameters:
  `port` - the port for the server to use
  `file` - the path to an init file, or an empty string, if no init file should be used

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`